Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#501 closed defect (fixed)

Lib Shared Console Open correction

Reported by: cedric_aubert Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

console_open disable ICANON on non-console port, should ok
for first open but not for other. If you will open one
serial port, you will configure it, when you reopen it
you will lost the ICANON parameters if you had put it.
Should be done by console only at first open.

Release:
RTEMS-4.6

How-To-Repeat:
Just open two time a port, you will lose your ICANON param.

Attachments (1)

Shared_Console.diff (1.8 KB) - added by cedric_aubert on 12/03/06 at 13:31:13.
Shared_Console.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 09/26/03 at 16:34:56 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to 4.6 branch and trunk.

Changed on 12/03/06 at 13:31:13 by cedric_aubert

Attachment: Shared_Console.diff added

Shared_Console.diff

comment:2 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.